package com.ruoyi.system.mapper;

import java.util.List;
import com.ruoyi.system.domain.Product;
import org.apache.ibatis.annotations.Mapper;

/**
 * 产品基础信息表 Mapper接口
 *
 * @author ruoyi
 */
@Mapper
public interface ProductMapper
{
    /**
     * 查询产品基础信息集合
     *
     * @param product 产品信息
     * @return 产品集合
     */
    public List<Product> selectProductList(Product product);

    /**
     * 根据ID查询产品基础信息
     *
     * @return 产品信息
     */
    public Product selectProductById(String ProductId);
    public Product selectProductId(Long id);
    /**
     * 新增产品基础信息
     *
     * @param product 产品信息
     * @return 结果
     */
    public int insertProduct(Product product);

    /**
     * 修改产品基础信息
     *
     * @param product 产品信息
     * @return 结果
     */
    public int updateProduct(Product product);

    /**
     * 删除产品基础信息
     *
     * @return 结果
     */
    public int deleteProductById(String ProductId);

    /**
     * 批量删除产品基础信息
     *
     * @param ids 需要删除的主键ID数组
     * @return 结果
     */
    public int deleteProductByIds(Long[] ids);
}